summaryrefslogtreecommitdiff
path: root/dev-python/httpx-socks
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-12 07:31:35 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-12 07:31:35 +0000
commitd7799ed06b560db981e193ca3d51a6eaef27ef96 (patch)
treeb9d37ad6c49966916b890b311559f0c3e6b7d6d6 /dev-python/httpx-socks
parent47ca1767274b2c945d1622a63055541958e8ca62 (diff)
downloadbaldeagleos-repo-d7799ed06b560db981e193ca3d51a6eaef27ef96.tar.gz
baldeagleos-repo-d7799ed06b560db981e193ca3d51a6eaef27ef96.tar.xz
baldeagleos-repo-d7799ed06b560db981e193ca3d51a6eaef27ef96.zip
Adding metadata
Diffstat (limited to 'dev-python/httpx-socks')
-rw-r--r--dev-python/httpx-socks/Manifest1
-rw-r--r--dev-python/httpx-socks/httpx-socks-0.8.1.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/httpx-socks/Manifest b/dev-python/httpx-socks/Manifest
index 99495a8dec0e..04bf6739b27a 100644
--- a/dev-python/httpx-socks/Manifest
+++ b/dev-python/httpx-socks/Manifest
@@ -1 +1,2 @@
DIST httpx-socks-0.8.0.gh.tar.gz 15285 BLAKE2B 1da3bffff2be273e62452d96c8e07f38cf3c488bb89704ab377565feecafc1f96e9b96b615dfca4c3721c295414005014f868982a440ed47f3454814545aa6c7 SHA512 f58555670bc689002633daf3cf373641cbab6417636d16e878d5f9fc796b8bf7111d7c6985909590ccaeedb95793f589676e7f36c217330cbf46b4778319a4b7
+DIST httpx-socks-0.8.1.gh.tar.gz 15289 BLAKE2B 08a8431c5818ea653ea27a0dbc3de6708cb81a7129cda779e8c8cbe3d497ccdad0ed646faf06c5138f6c136a74d4c1b06e6e3920fc5362d471aa03372721cd33 SHA512 804e609826eff4c9e321440b657f3c96d688bf27a4e9a1fdd6b07a410f7f7671fef840403d2231a48b53133a8a4db9522f6c46467e78dc2443270fea4116d66e
diff --git a/dev-python/httpx-socks/httpx-socks-0.8.1.ebuild b/dev-python/httpx-socks/httpx-socks-0.8.1.ebuild
new file mode 100644
index 000000000000..d190ff997121
--- /dev/null
+++ b/dev-python/httpx-socks/httpx-socks-0.8.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Proxy (HTTP, SOCKS) transports for httpx"
+HOMEPAGE="
+ https://github.com/romis2012/httpx-socks/
+ https://pypi.org/project/httpx-socks/
+"
+# no tests in sdist, as of 0.7.6
+SRC_URI="
+ https://github.com/romis2012/httpx-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/httpx-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-0.17.3[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/hypercorn-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.19.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.6.3[${PYTHON_USEDEP}]
+ dev-python/tiny-proxy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+
+ distutils-r1_src_prepare
+}